using Femto.Modules.Auth.Models;
using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Metadata.Builders;

namespace Femto.Modules.Auth.Data.Configurations;

internal class SignupCodeConfiguration : IEntityTypeConfiguration<SignupCode>
{
    public void Configure(EntityTypeBuilder<SignupCode> builder)
    {
        builder.ToTable("signup_code");
        builder.HasKey(t => t.Code);
    }
}
